Attribute VB_Name = "z_UIRibbon"
Option Private Module
Option Explicit

Public Sub OnRibbonBtn(iControl As IRibbonControl)
  Select Case iControl.ID
  Case "EditVBAMake":       Call RunEditVBAMake
  Case "EditManifect":      Call RunEditManifect
  Case "OpenSrc":           Call RunOpenSrc
  Case "OpenArtifact":      Call RunOpenArtifact
  
  Case "TestVBAMake":       Call RunTestVBAMake
  Case "BuildProduct":      Call RunBuildProduct
  Case "InstallProduct":    Call RunInstallProduct
  Case "AddProduct":        Call RunAddProduct
  Case "ArchiveVersion":    Call RunArchiveVersion
  
  Case "TestManifest":      Call RunTestManifest
  Case "TestComponent":     Call RunTestComponent
  Case "BuildComponent":    Call RunBuildComponent
  Case "UpdateSkeleton":    Call RunUpdateSkeleton
  Case "OpenComponent":     Call RunOpenComponent
  Case "OpenComponentRO":   Call RunOpenComponentReadOnly
  
  Case "ExportCode":        Call RunExportCode
  Case "ExportShared":      Call RunExportShared
  Case "ReloadCode":        Call RunReloadCode
  Case "UpdateShared":      Call RunReloadShared
  Case "ListRefs":          Call RunListRefs
  Case "ListModules":       Call RunListModules
  
  Case "ReloadAllShared":   Call RunReloadAllShared
  Case "CompileAll":        Call RunCompileAll
  Case "RunAllTests":       Call RunAllTests
  Case "BuildAll":          Call RunBuildAll
  Case "InstallAll":        Call RunInstallAll
  Case "ScanFolder":        Call RunScanFolder
  
  Case "TargetUpdateAll":   Call RunUpdateTarget
  Case "TargetUpdateShared": Call RunTargetUpdateShared
  Case "TargetClearCode":   Call RunTargetClearCode
  
  Case "OpenLog":           Call RunOpenLog
  Case "OpenConfig":        Call RunOpenConfig
  Case "OpenVBCommons":     Call RunOpenVBCommons
  Case "OpenAppData":       Call RunOpenAppData
  Case "OpenUserProfile":   Call RunOpenUserProfile
  Case "OpenConcept":       Call RunOpenConcept
  Case "OpenCIHT":          Call RunOpenCIHT
  Case "OpenInstall":       Call RunOpenInstall

  Case "ListShared":        Call RunListShared
  End Select
End Sub

Public Sub OnDefaultBuild(iControl As IRibbonControl, ByRef vVal)
  vVal = Globals.build_
End Sub

Public Sub OnBuildTypeChange(iControl As IRibbonControl, idLabel$, nIndex As Variant)
  Globals.build_ = nIndex
End Sub
